
Figure - Bug #114510
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT1】【ST】【Tlog】Tlog中单独勾选crash log后，等待进入屏保模式后再次唤醒，tlog收集界面显
示勾选了：crash 和main log，如果仅勾选evens log时会多出crash 和main log
2022-12-12 16:50 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2022-12-12

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212100313

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-15

Test Type: ST Root cause: 切换界面的时候勾选项状态出现错误。为了避免类似问题，禁用了子选项的勾选功能。

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，仅勾选crash log日志

3、等待进入屏保后再次唤醒，点击stop

【预期结果】

抓取日志选项界面与用户勾选一致

【实际结果】

仅勾选crash log时多出了main log

如果仅勾选evens log时会多出crash 和main log

History

#1 - 2022-12-13 10:34 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V5.0_20221230

#2 - 2022-12-13 14:04 - 移动测试一组_CDTS 刘强

- Found Version changed from 1724_FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212082110 to

FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202212100313

#3 - 2022-12-14 18:39 - CDTS-TEST 周婷

- Category changed from BSP to SYSTEM

#4 - 2022-12-19 10:38 - CD SYSTEM-夏旭

- Status changed from New to ASSIGNED

- Reproducibility changed from Every time to Occasionally

未复现，需要测试跟踪三个版本复现问题
#5 - 2022-12-19 13:57 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD SYSTEM-夏旭 to CDTS_TEST 刘勇

#6 - 2022-12-19 13:59 - CD SYSTEM-夏旭

- Assignee changed from CDTS_TEST 刘勇 to 移动测试一组_CDTS 刘强

#7 - 2022-12-23 14:07 - 移动测试一组_CDTS 刘强

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0061.X101

验证结果：未复现

#8 - 2022-12-23 14:07 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-夏旭

#9 - 2022-12-23 14:31 - CD SYSTEM-夏旭

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

#10 - 2022-12-23 14:39 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212230238

验证结果：未复现

连续多个版本未复现，关闭bug

#11 - 2022-12-23 14:39 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#12 - 2023-04-24 13:47 - CDTS_TEST 王成

- Status changed from CLOSED to New

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林

麻烦看看这个BUG是否需要再次跟踪处理

#13 - 2023-05-04 23:50 - CD TPM-王祥林

通常抓日志的时候都建议Android logs的选项需要全选，单独选择某些项来测没有什么必要。

考虑把Android logs的子项变成不可选，只能操作Android logs总选项来实现全选或者全不选。这样可以避免出现这个问题。

#14 - 2023-05-12 15:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198656 general/platform/vendor/thundercom
m/apps/LogSystem -dev

SYSTEM:Tlog:Disable sub items of Android logs.TC-RID: 1201-0201101IssueID: TS-R-BUG-114510Change-Id: I804c8a472f481d4997c1fb2d3db5f418fc8c2462

#15 - 2023-05-12 15:31 - CD TPM-王祥林

- Status changed from New to RESOLVED

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

- Resolution changed from WONTFIX to FIXED

- Fixed Version set to 2023-05-15

- Root cause set to 切换界面的时候勾选项状态出现错误。为了避免类似问题，禁用了子选项的勾选功能。

刘强

经过和胡兵的讨论，Android logs的选项需要全选，单独选择某些项来测没有什么必要，所以禁用子选项勾选功能，避免问题发生。

#16 - 2023-05-15 18:59 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

修改为不能单独勾选，验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305150054

#17 - 2023-05-15 18:59 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

tlog_xxx_1210021202.tar.gz 6.81 MB 2022-12-12 移动测试一组_CDTS 刘强

log_mual.txt 5.69 MB 2022-12-12 移动测试一组_CDTS 刘强

中科创达软件股份有限公司20221212-164858.png 2.07 MB 2022-12-12 移动测试一组_CDTS 刘强
